﻿//	==============================================
//	Script	Konfiguration des Outputs
//	Datum	2019-10-01
//	Eingabe	cd, ukv, wbp, webtrainer, noZert, ilias
//	==============================================
function weka() {
	var output = "cd";
	
	//	Variablen vorbelegen:
	var wbp			= false	// wekaBusinessPortal
	,	wbtPrintZert= false	// WBT druckt das Zertifikat
	,	eLearning	= false	// eLearning-Logo anzeigen
	,	ilias		= false	// Grafik für Ilias-Zertifikat anzeigen
	,	player		= window.GetPlayer()
	;
	if (!player) return;

	//	------------------------------------
	//	Variablen je Output setzen:
	switch (output) {
		case "cd":
			wbtPrintZert = true;
			eLearning	 = true;
			break;
		case "wbp":
			wbp	= true;
			wbtPrintZert = true;
			break;
		case "webtrainer":
			wbtPrintZert = true;
			break;
		case "ukv":
			wbtPrintZert = true;
			break;
		case "ilias":
			ilias = true;
			break
	}
	  
	//	------------------------------------
	//	Variablen übermitteln:
	player.SetVar("wbp", wbp);
	player.SetVar("wbtPrintZert", wbtPrintZert);
	player.SetVar("eLearning", eLearning);
	player.SetVar("ilias", ilias);

	//	------------------------------------
	//	cmi.StudentName
	if(output == "cd" || output == "wbp") return;
	if(GetStudentName){
		player.SetVar( "lmsName", GetStudentName() );
	}
}

//	==============================================
//	SCORM-Daten abspeichern
//	==============================================
function speichern(){
	if (objLMS && objLMS.SetCompleted && objLMS.CommitData){
		var strResult = objLMS.SetCompleted();
		objLMS.CommitData();
	}
}

//	==============================================
//	Immer: suppress Analytics
//	==============================================
if(window.globals){
	window.globals.suppressAnalytics = true;
}